function Create(self)

	--for stablization
	self.DRotAngle = 0 

	--working variables
	self.Turret = {};
	--create the turrets.
	self.Turret[1] = CreateACrab("Saucer Gun R");
	self.Turret[1].Offset = Vector(108,36);
	self.Turret[1].Team = self.Team;
	MovableMan:AddActor(self.Turret[1]);
	self.Turret[2] = CreateACrab("Saucer Gun L");
	self.Turret[2].Offset = Vector(-108,36);
	self.Turret[2].Team = self.Team;
	MovableMan:AddActor(self.Turret[2]);
	self.Turret[3] = CreateACrab("Saucer Gun T");
	self.Turret[3].Offset = Vector(0,-55);
	self.Turret[3].Team = self.Team;
	MovableMan:AddActor(self.Turret[3])


end

function Destroy(self)
   for i = 1, #self.Turret do
      if MovableMan:IsActor(self.Turret[i]) then
         if self.Pos.Y > -50 then
            self.Turret[i]:GibThis()
         else
            self.Turret[i].ToDelete = true
            ActivityMan:GetActivity():ReportDeath(self.Team, -1)
         end
      end
   end
end



function Update(self)

	--Stabilization

	self:AddForce( Vector(-1000 * self.Vel.X , -1000 * self.Vel.Y ), Vector(0,0)) --drag
	
	self:AddForce( Vector(0 , -10000 * self.RotAngle ), Vector(-150,0)) --stablization
	self:AddForce( Vector(0 , 10000 * self.RotAngle ), Vector(150,0)) --stablization

	self:AddForce( Vector(0 , -25000 * (self.RotAngle - self.DRotAngle)), Vector(-100,0)) --dampening
	self:AddForce( Vector(0 , 25000 * (self.RotAngle - self.DRotAngle)), Vector(100,0)) --dampening

	self.DRotAngle = self.RotAngle

	--update turret spatial properties
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			--basic turret position upkeep (so it doesn't fall at 999999m/s)
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			--update turret position
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		else
			self.Turret[i]=null
		end
	end

end