function Create(self)

	self.active = 0

	--for stablization
	self.DRotAngle = 0 

	--working variables
	self.Turret = {};
	--create the turrets.
	self.Turret[1] = CreateACrab("Saucer Gun R");
	self.Turret[1].Offset = Vector(108,36);
	self.Turret[1].Team = self.Team;
	MovableMan:AddActor(self.Turret[1]);
	self.Turret[2] = CreateACrab("Saucer Gun L");
	self.Turret[2].Offset = Vector(-108,36);
	self.Turret[2].Team = self.Team;
	MovableMan:AddActor(self.Turret[2]);
	self.Turret[3] = CreateACrab("Saucer Gun T");
	self.Turret[3].Offset = Vector(0,-55);
	self.Turret[3].Team = self.Team;
	MovableMan:AddActor(self.Turret[3])

end

function Destroy(self)
   for i = 1, #self.Turret do
      if MovableMan:IsActor(self.Turret[i]) then
         if self.Pos.Y > -50 then
            self.Turret[i]:GibThis()
         else
            self.Turret[i].ToDelete = true
            ActivityMan:GetActivity():ReportDeath(self.Team, -1)
         end
      end
   end
end

function Update(self)

   local enemyTeam = -1;
   local braaain = self;
   local brainDist = 0; -- Variable for storing the location of the enemy brain

   if self.Team == Activity.TEAM_1 then
      enemyTeam = 1;
   elseif self.Team == Activity.TEAM_2 then
      enemyTeam = 0;
   end


   if MovableMan:IsActor(ActivityMan:GetActivity():GetPlayerBrain(enemyTeam)) == true then
      braaain = ActivityMan:GetActivity():GetPlayerBrain(enemyTeam);
      brainDist = braaain.Pos.X - self.Pos.X
   else
      braaain = self
   end


   if SceneMan.SceneWraps == true then
      if brainDist > ( SceneMan.SceneWidth / 2 ) then
         brainDist = brainDist - SceneMan.SceneWidth
      elseif brainDist <  ( -SceneMan.SceneWidth / 2) then
         brainDist = brainDist + SceneMan.SceneWidth
      end
   end



   if math.abs( brainDist ) > 1 then  -- if not right on top of enemy brain
      self:AddForce( Vector( (math.abs(brainDist)/brainDist) * 13000 , 0 ), Vector(0,0)) -- Move Closer
      if math.abs(brainDist) < 300 then -- when close, slow approach
      	   self:AddForce( Vector(( (math.abs(brainDist)/brainDist) * (300 - math.abs(brainDist)) * ( - 5000)/300 ) + self.Vel.X * -1000, 0 ), Vector(0,0))   -- slow down when close
      end
   end



	if self.active == 0 then 
		if SceneMan:MovePointToGround(self.Pos,0,0).Y - self.Pos.Y < 300 then
			self.active = 1
		end
	end
	if self.active == 1 then 
		if SceneMan:MovePointToGround(self.Pos,0,0).Y - self.Pos.Y < 400 then
			self:AddForce( Vector( 0, -90000 ), Vector(0,0)) -- don't fly too low
		end	
	end

--	if self.active == 1 then 
--		if  self.Pos.Y > (-SceneMan.SceneHeight + 400) then
--			self:AddForce( Vector( 0, -90000 ), Vector(0,0)) -- don't fly too low
--		end	
--	end

	self:AddForce( Vector(-1000 * self.Vel.X , -1000 * self.Vel.Y ), Vector(0,0)) --drag

	self:AddForce( Vector(0 , -10000 * self.RotAngle ), Vector(-150,0)) --stablization
	self:AddForce( Vector(0 , 10000 * self.RotAngle ), Vector(150,0)) --stablization

	self:AddForce( Vector(0 , -25000 * (self.RotAngle - self.DRotAngle)), Vector(-100,0)) --dampening
	self:AddForce( Vector(0 , 25000 * (self.RotAngle - self.DRotAngle)), Vector(100,0)) --dampening

	self.DRotAngle = self.RotAngle



	--update turret spatial properties
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			--basic turret position upkeep (so it doesn't fall at 999999m/s)
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			--update turret position
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		else
			self.Turret[i]=null
		end
	end

end
